---
lang: en
title: 'API docs: repository-json-schema.getnavigationalpropertyforrelation'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository-json-schema
permalink: /doc/en/lb4/apidocs.repository-json-schema.getnavigationalpropertyforrelation.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository-json-schema](./repository-json-schema.md) &gt; [getNavigationalPropertyForRelation](./repository-json-schema.getnavigationalpropertyforrelation.md)

## getNavigationalPropertyForRelation() function

Checks and return navigational property definition for the relation

**Signature:**

```typescript
export declare function getNavigationalPropertyForRelation(relMeta: RelationMetadata, targetRef: JsonSchema): JsonSchema;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

relMeta


</td><td>

RelationMetadata


</td><td>

Relation metadata object


</td></tr>
<tr><td>

targetRef


</td><td>

JsonSchema


</td><td>

Schema definition for the target model


</td></tr>
</tbody></table>

**Returns:**

JsonSchema


